Technical Requirements

Learning Management System (LMS) Integrations

Pointful Education, Inc. ("Pointful Education") courses are hosted on a backend Content Management System (CMS) which allows for content to be built and maintained externally with a clients' Learning Management System (LMS). This process allows for all content to be maintained regularly without any impact to the client's day-to-day experience.

Content is delivered to the LMS through Learning Tools Interoperability® (LTI) version 1.2. "LTI is a standard developed by IMS Global Learning Consortium, which allows courseware and learning tools from different vendors to be launched within a learning platform, often an LMS." (IMS Global, LTI Fundamentals FAQ). Essentially, when Pointful Education clients are looking at Pointful Education content in their LMS, they are seamlessly integrated with the CMS. This gives Pointful Education the ability to pass grades back to the LMS from their CMS within 60 seconds. 

System Requirements

Refer to the following system requirements for the use of Pointful Education courses:

  • Browser Support: For learners accessing Pointful Education content, we support the latest two (2) versions of every major browser. We do not support Internet Explorer.

  • Mobile Support: For learners accessing Pointful Education content, all content is functional on mobile devices as long as the LMS supports LTI on mobile devices.  We support the latest versions of Safari, Chrome, and Firefox. 

  • Bandwidth: Broadband internet > 1 Mbps is recommended but not required.

  • LTI Authentication: Learners who are accessing Pointful Education content through their LMS are authenticated using LTI, which utilizes oAuth 1.0. By default, Pointful Education content cannot be accessed without this LTI authentication.

  • Firewall Settings: Port 443 for HTTPS should be open and all connections to pointfuleducation.coursearc.com should be allowed. 

  • Cookies: All content creators and learners must have cookies enabled in order to use CourseArc and/or interact with content.  

Course Materials (Required Software)

Select Pointful Education certification courses require specific software (Course Materials) which are not provided by Pointful Education.  In such case, the Customer must obtain such Course Materials from a third-party, at their sole cost. Meeting the software system requirements is the responsibility of the Customer, therefore, it is recommended that the process of procuring and ensuring software system requirements are met is started as soon as possible to ensure a seamless experience for teachers and students.

  • Adobe® Certification Courses require Adobe® applications v18 or above

  • Architectural Design I and II, and Principles of Architecture require AutoCAD®

  • Java SE8 Associate course requires Java SE8

  • Microsoft® Office® Certification Courses (Coming May 2022) require Microsoft® applications 2016 and above

Microsoft and Office are registered trademarks of Microsoft Corporation in the United States and/or other countries.

AutoCAD is a registered trademark of Autodesk Inc. in the United States and/or other countries.

Adobe is a registered trademark of Adobe Inc. in the United States and/or other countries.